Subject: 24.3.50; `describe-function' -> "This function has a compiler macro..."

From: "Drew Adams" <[email-masked]>
Date: Sun, 27 Jan 2013 18:39:10 -0800

C-h f registerv-p
 
The help says only this:
 
  This function has a compiler macro in `register.el'.
 
This help is not very helpful.  I, for one, do not understand it.
 
Searching `register.el' does not turn up any definition of
`registerv-p', that I can find.  There are only invocations of the
function in that file.
 
And searching the Elisp manual for "compiler macro" turns up nothing.
Perhaps this concept needs to be documented.
 
Digging into help-fns.el I find that the test that produces this helpful
message is (get function 'compiler-macro-file).  But I haven't tried to
search further to see what can be understood about this.
 
Please document all of the constructs that you use in the Emacs source
code, including this one.
 
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-25 on ODIEONE
Bzr revision: 111604 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'